From 98fe6703607bf05c5bcab89933a978cc204b567c Mon Sep 17 00:00:00 2001
From: Jan Wieck <JanWieck@Yahoo.com>
Date: Wed, 5 Jul 2000 19:51:03 +0000
Subject: [PATCH] Enable pg_rewrite to be toasted (unlimited size of views and
 rules).

Jan
---
 src/bin/initdb/initdb.sh | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/src/bin/initdb/initdb.sh b/src/bin/initdb/initdb.sh
index d8e8751bf0d..ad12edaa9ff 100644
--- a/src/bin/initdb/initdb.sh
+++ b/src/bin/initdb/initdb.sh
@@ -26,7 +26,7 @@
 #
 #
 # IDENTIFICATION
-#    $Header: /cvsroot/pgsql/src/bin/initdb/Attic/initdb.sh,v 1.99 2000/07/03 20:48:46 petere Exp $
+#    $Header: /cvsroot/pgsql/src/bin/initdb/Attic/initdb.sh,v 1.100 2000/07/05 19:51:03 wieck Exp $
 #
 #-------------------------------------------------------------------------
 
@@ -534,6 +534,11 @@ if [ "$PwPrompt" ]; then
 fi
 
 
+echo "Enabling unlimited storage for pg_rewrite"
+echo "ALTER TABLE pg_rewrite CREATE TOAST TABLE" \
+        | "$PGPATH"/postgres $PGSQL_OPT template1 > /dev/null || exit_nicely
+
+
 echo "Creating view pg_user."
 echo "CREATE VIEW pg_user AS \
         SELECT \
-- 
GitLab